Import Media Library Entries

See the Media Library Entry Object reference for the structure of the media library entry payload.

POST/api/2026-03/import/mediaLibrary
public-api:write
Latest version (since 2026-01)

Request Body

JSON Body

Sent as JSON in the request body.

ParameterTypeDescription
mediaLibraryEntries*
array

An array of documents to import. Each entry is an object.

mediaLibraryEntries.id
string

Custom id (Allowed characters: a-z, A-Z, 0-9, and -). If omitted a random id will be generated.

mediaLibraryEntries.systemName
string

A string identifiyng the external system where the asset is imported from. It is recommended that you always set this value and it is required if you provide an externalId.

mediaLibraryEntries.externalId
string

Must be unique in combination with systemName.

mediaLibraryEntries.mediaType*
string

image, video, file

mediaLibraryEntries.asset*
object
mediaLibraryEntries.metadata
object
mediaLibraryEntries.translations
object

Description

When you can upload images, videos or files to the configured Media Library storage (e.g. AWS S3) yourself it is possible to create Media Library Entries through the API.

This has the advantage that the entries will be included in the response directly in contrast e.g. to the /api/:apiVersion/import/images endpoint where you only get a jobId.

You can also provide a custom id to entries which helps with importing documents where images in the document should be referenced with the correct mediaId maybe even before creating the Media Library Entries themselves.

Use Cases

  • Initial import from an external system
  • Self managing asset upload (images, videos, files) and creating your own Media Library Entry (easier for imports to connect Media Library Entries with its documents)

Responses

⌘ K to search